Subject: bug#32894: Exception in validate-runpath phase

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Oct 2018 14:21:46 +0200

Hello,

Julien Lepiller <[email-masked]> skribis:

> Le 2018-10-02 14:31, [email-masked] a écrit :
>> Hello Julien,
>>
>> [...]
>>
>> Then again, these are “.debuginfo” files so perhaps they are the result
>> of home-made ELF stripping (we don’t have this problem with “.debug”
>> files created with objcopy & co.).
>>
>> I can see two short-term “solutions”:
>>
>>   1. Remove those .debuginfo files prior to the ‘validate-runpath’
>>      phase.
>>
>>   2. Set #:validate-runpath? #f.
>>
>> Could you check in your build logs how those .debuginfo files are
>> produced?
>>
>> HTH!
>>
>> Ludo’.
>
> As a workaround, I found that passing
> --with-native-debug-symbols=zipped to the configure script allowed
> validate-runpath to complete successfully. This option is documented
> as the prefered value for distributions, so I think it's a good thing
> to have. I creates zipped versions of these .debuginfo files, so
> validate-runpath doesn't look at them.

Hmm OK.  :-)

Is it the files that are zipped, or just .debug sections that are
gzipped?  (Binutils, GDB, etc. support the latter.)

> There is no mention of debuginfo until the install phase in my build
> log, so I don't know how they are built.

OK.

Thanks,
Ludo’.